# IP Geolocation

Endpoint: <mark style="color:yellow;">POST</mark> [https://irbis.espysys.com/api/developer/ip\_geolocation](<&#xD;&#xA;https://irbis.espysys.com/api/developer/ip_geolocation>)

Below is a sample request to perform a lookup using the API:

```
{
  "key": "YOUR_API_KEY",
  "value": "SEARCH_VALUE",
  "lookupType": "LOOKUP_TYPE",
  "lookupId": "LOOKUPID_VALUE"
}
```

1. Replace YOUR\_API\_KEY in the "key" field with your actual API Key.
2. For the "value" field, insert with one of the aforementioned search values.
3. `LOOKUP_TYPE` can be one of the following values:
   1. IP\_GEO

values are of the following type for these searches:

IP GEO - value is an IP address.&#x20;

The "lookupId" must be set to what is shown in table API lookups types at Developer page or at API lookup types page


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.espysys.com/ip-geolocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
